Package com.stardog.stark.io

# Class ForwardingRDFWriter

java.lang.Object
com.stardog.stark.io.ForwardingRDFWriter

All Implemented Interfaces:
  `RDFHandler`, `RDFWriter`

public class ForwardingRDFWriter extends Object implements RDFWriter

`RDFWriter` base for decorating another writer

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForwardingRDFWriter(RDFWriter theWriter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `comment(String theComment)`
  Write a comment to the output.
  `void`
  `end()`
  Signals the writing process is completed.
  `RDFFormat`
  `format()`
  The `format` this writer will serialize output in.
  `void`
  `handle(Statement theStmt)`
  Write the given `Statement`
  `void`
  `namespace(String thePrefix, String theIRI)`
  Provide a namespace to the writer.
  `void`
  `start()`
  Signals that the RDF writing process is starting.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForwardingRDFWriter

    public ForwardingRDFWriter(RDFWriter theWriter)

- ## Method Details

  - ### start

    public void start()
    Signals that the RDF writing process is starting.
    Specified by:
      `start` in interface `RDFHandler`
    Specified by:
      `start` in interface `RDFWriter`

  - ### namespace

    public void namespace(@Nonnull String thePrefix, @Nonnull String theIRI)
    Provide a namespace to the writer. This method can be called before writing has `started`, in which case, the namespace bindings are buffered and written when appropriate after writing has begun.
    Specified by:
      `namespace` in interface `RDFHandler`
    Specified by:
      `namespace` in interface `RDFWriter`
    Parameters:
      `thePrefix` - the namespace prefix
      `theIRI` - the associated IRI

  - ### comment

    public void comment(@Nonnull String theComment)
    Write a comment to the output. Writing need not be `started` at this point; comments can be written prior to any actual serialized RDF
    Specified by:
      `comment` in interface `RDFWriter`
    Parameters:
      `theComment` - the comment to write

  - ### handle

    public void handle(@Nonnull Statement theStmt)
    Write the given `Statement`
    Specified by:
      `handle` in interface `RDFHandler`
    Specified by:
      `handle` in interface `RDFWriter`
    Parameters:
      `theStmt` - the statement to write

  - ### end

    public void end()
    Signals the writing process is completed. The underlying `InputStream` is *not* closed, but the caller should not call additional methods on this writer as that will normally yield syntax errors in the output.
    Specified by:
      `end` in interface `RDFHandler`
    Specified by:
      `end` in interface `RDFWriter`

  - ### format

    @Nonnull public RDFFormat format()
    The `format` this writer will serialize output in.
    Specified by:
      `format` in interface `RDFWriter`
    Returns:
      the format